#include <linux/init.h>
#include <linux/module.h>
#include "md.h"

MODULE_LICENSE( "GPL" );
MODULE_AUTHOR( "Oleg Tsiliuric <olej@front.ru>" );


char* m1_data = "строка данных в модуле m1";

char* m1_proc( void ) {
   return m1_data;
}

EXPORT_SYMBOL( m1_data );
EXPORT_SYMBOL( m1_proc );

static int __init hello_init( void ) {
   printk( "module 'md1' start!\n" );
   return 0;
}

static void __exit hello_exit( void ) {
   printk( "module 'md1' unload!\n" );
}

module_init( init );
module_exit( exit );

